Bug 313190 - Thumbnails of faces not rotated correctly according to the configuration settings
Summary: Thumbnails of faces not rotated correctly according to the configuration sett...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.9.0
Platform: Microsoft Windows Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-13 15:57 UTC by Jean-Martial NDOUTOUME NFENGONE
Modified: 2013-04-18 20:09 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.2.0


Attachments
The original file view (321.14 KB, image/png)
2013-01-13 22:15 UTC, Jean-Martial NDOUTOUME NFENGONE
Details
The original file viewed in digiKam (630.39 KB, image/png)
2013-01-13 22:17 UTC, Jean-Martial NDOUTOUME NFENGONE
Details
The image with orientation tag applied (476.85 KB, image/png)
2013-01-13 22:18 UTC, Jean-Martial NDOUTOUME NFENGONE
Details
The image with orientation tag applied and face area definition (403.47 KB, image/png)
2013-01-13 22:20 UTC, Jean-Martial NDOUTOUME NFENGONE
Details
The bug: the wrong oriented face thumbnail (127.67 KB, image/png)
2013-01-13 22:21 UTC, Jean-Martial NDOUTOUME NFENGONE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Martial NDOUTOUME NFENGONE 2013-01-13 15:57:23 UTC
The setting "Configure DigiKam -> Metadata -> Rotation -> Show image/thumbnails rotated according to the orientation flag." don't apply to the thumbnails of faces' people for images only with an orientation flag and pixel data not changed.

Reproducible: Always

Steps to Reproduce:
For example:

1. Take an image with only an orientation flag: due to the "Configure DigiKam -> Metadata -> Rotation -> Show image/thumbnails rotated according to the orientation flag." setting, the image and thumbnails are correctly rotated (even if the pixel data of the image file are oriented differently);

2. Tag a face.
Actual Results:  
The face thumbnail is oriented as the pixel data file and not as the orientation flag.

Expected Results:  
As the image and thumbnail, the face's thumbnail must be rotated according to the orientation flag.
Comment 1 Marcel Wiesweg 2013-01-13 19:27:23 UTC
I dont understand the problem. Do you change the mentioned setting? Which thumbnails are shown incorrectly where and when?
Comment 2 Jean-Martial NDOUTOUME NFENGONE 2013-01-13 22:15:56 UTC
Created attachment 76448 [details]
The original file view
Comment 3 Jean-Martial NDOUTOUME NFENGONE 2013-01-13 22:17:50 UTC
Created attachment 76449 [details]
The original file viewed in digiKam
Comment 4 Jean-Martial NDOUTOUME NFENGONE 2013-01-13 22:18:51 UTC
Created attachment 76450 [details]
The image with orientation tag applied
Comment 5 Jean-Martial NDOUTOUME NFENGONE 2013-01-13 22:20:10 UTC
Created attachment 76451 [details]
The image with orientation tag applied and face area definition
Comment 6 Jean-Martial NDOUTOUME NFENGONE 2013-01-13 22:21:11 UTC
Created attachment 76452 [details]
The bug: the wrong oriented face thumbnail
Comment 7 Jean-Martial NDOUTOUME NFENGONE 2013-01-13 22:29:33 UTC
Marcel,

(In reply to comment #1)
> I dont understand the problem. Do you change the mentioned setting?

Yes, the setting is set.

> Which thumbnails are shown incorrectly where and when?

Screenshots:
    1. The original file view (attachment #76448 [details]);
    2. The original file viewed in digiKam (attachment #76449 [details]);
    3. The image with orientation tag applied  (attachment #76450 [details]);
    4. The image with orientation tag applied and face area definition (attachment #76451 [details]);
    5. The bug: the wrong oriented face thumbnail  (attachment #76452 [details]).

Jean-Martial
Comment 8 Jean-Martial NDOUTOUME NFENGONE 2013-03-13 15:57:00 UTC
Steel  UNCONFIRMED?

Jean-Martial
Comment 9 Veaceslav Munteanu 2013-03-13 22:08:25 UTC
Hello Jean,

Yes I can confirm this bung. In fact digikam doesn't rotate face tags from database.

I was working on implementing FaceTag write for digikam and came across to the issue that it doesn't update facetags. Now I have implemented rotation for images rotated pixel-by-pixel(not by exif flag).
 
My implementation is still experimental and it's not even in digikam's git.

I'm aware of this one and I will fix this one after stabilizing code that update tags.
Comment 10 Jean-Martial NDOUTOUME NFENGONE 2013-03-14 09:30:35 UTC
Hello Veaceslav,

Thanks for your comment.

So, work in progress…

Jean-Martial
Comment 11 Marcel Wiesweg 2013-03-21 20:20:41 UTC
I can confirm this, it is easily reproducable.
Veaceslav: This is probably not related to your work in the branch, there is no "new" rotation involved, any image with the rotation flag set by the camera exhibits this behavior. I suspect an interaction when rotation-by-database was introduced.
Comment 12 Marcel Wiesweg 2013-04-18 20:09:49 UTC
Git commit 57c3b7249e9b9b1e20c4da13d3a013dfda93ddbb by Marcel Wiesweg.
Committed on 18/04/2013 at 22:07.
Pushed by mwiesweg into branch 'master'.

Do not exif-rotate face thumbnails twice.
Clean up an unused parameter in ThumbnailCreator.
FIXED-IN: 3.2.0

M  +2    -1    NEWS
M  +69   -68   libs/threadimageio/thumbnailcreator.cpp
M  +4    -4    libs/threadimageio/thumbnailcreator.h
M  +2    -1    libs/threadimageio/thumbnailloadthread.cpp

http://commits.kde.org/digikam/57c3b7249e9b9b1e20c4da13d3a013dfda93ddbb